package com.muyu.product.domain.req;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 拼团对象 group_buy
 *
 * @author DongZeLiang
 * @date 2024-11-14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "GroupBuyQueryReq", description = "拼团")
public class GroupBuyQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 外键，关联商品 */
    @ApiModelProperty(name = "外键，关联商品", value = "外键，关联商品")
    private Long projectId;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "开始时间", value = "开始时间")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(name = "结束时间", value = "结束时间")
    private Date endTime;

    /** 最小成团人数 */
    @ApiModelProperty(name = "最小成团人数", value = "最小成团人数")
    private String minMembers;

    /** 活动状态 */
    @ApiModelProperty(name = "活动状态", value = "活动状态")
    private String status;

}
