package com.muyu.product.service.impl;

import java.util.List;

import com.muyu.common.core.utils.ObjUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import com.muyu.product.mapper.GroupBuyMapper;
import com.muyu.product.domain.GroupBuy;
import com.muyu.product.service.GroupBuyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;

/**
 * 拼团Service业务层处理
 *
 * @author DongZeLiang
 * @date 2024-11-14
 */
@Slf4j
@Service
public class GroupBuyServiceImpl extends ServiceImpl<GroupBuyMapper, GroupBuy>  implements GroupBuyService {

    /**
     * 查询拼团列表
     *
     * @param groupBuy 拼团
     * @return 拼团
     */
    @Override
    public List<GroupBuy> list(GroupBuy groupBuy) {
        LambdaQueryWrapper<GroupBuy> queryWrapper = new LambdaQueryWrapper<>();


        if (ObjUtils.notNull(groupBuy.getProjectId())){
            queryWrapper.eq(GroupBuy::getProjectId, groupBuy.getProjectId());
        }

        if (ObjUtils.notNull(groupBuy.getStartTime())){
            queryWrapper.eq(GroupBuy::getStartTime, groupBuy.getStartTime());
        }

        if (ObjUtils.notNull(groupBuy.getEndTime())){
            queryWrapper.eq(GroupBuy::getEndTime, groupBuy.getEndTime());
        }

        if (ObjUtils.notNull(groupBuy.getMinMembers())){
            queryWrapper.eq(GroupBuy::getMinMembers, groupBuy.getMinMembers());
        }

        if (ObjUtils.notNull(groupBuy.getStatus())){
            queryWrapper.eq(GroupBuy::getStatus, groupBuy.getStatus());
        }
        return list(queryWrapper);
    }
}
