package com.muyu.product.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import com.muyu.product.domain.model.RuleAttrAddModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：cuifubo
 * @Package：com.muyu.product.domain.resp
 * @Project：cloud-server
 * @name：RuleInfoUpdResp
 * @Date：2024.11.14 16:10
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RuleInfoUpdResp {
    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "主键", value = "主键")
    private Long id;

    /** 规格名称 */
    @Excel(name = "规格名称")
    @ApiModelProperty(name = "规格名称", value = "规格名称")
    private String name;

    /** 规格状态 */
    @Excel(name = "规格状态")
    @ApiModelProperty(name = "规格状态", value = "规格状态")
    private String status;
    /**
     * 规格属性集合
     */
    private List<RuleAttrAddModel> ruleAttrList;
}
